// import environment from './environment'
import FileManager from './file-manager'
import UrlFileManager from './url-file-manager'
import createFromEnvironment from '../less'
const less = createFromEnvironment({}, [
  new FileManager(),
  new UrlFileManager()
])
import PluginLoader from './plugin-loader'
import fs from 'fs'
import options from '../less/default-options'

// allow people to create less with their own environment
less.createFromEnvironment = createFromEnvironment
less.PluginLoader = PluginLoader
less.fs = fs
less.FileManager = FileManager
less.UrlFileManager = UrlFileManager

// Set up options
less.options = options

export default less
